## babel 0.2-5

=== DESCRIPTION ===
Package: babel
Version: 0.2-5
Title: Ribosome profiling data analysis
Author: Adam B. Olshen, Richard A. Olshen, Barry S. Taylor
Maintainer: Adam B. Olshen <olshena@biostat.ucsf.edu>
Depends: R (>= 2.14.0), edgeR
Imports: parallel
Suggests: R.rsp, R.devices, R.utils
VignetteBuilder: R.rsp
Description: Implements babel routines for identifying unusual ribosome protected fragment counts given mRNA counts
License: LGPL (>= 2.1)
Repository: CRAN
Repository/R-Forge/Project: abo
Repository/R-Forge/Revision: 541
Repository/R-Forge/DateTimeStamp: 2014-01-08 23:59:38
Date/Publication: 2014-01-13 21:13:21
Packaged: 2014-01-09 03:40:56 UTC; rforge
NeedsCompilation: no
