## babel 0.2-6

=== DESCRIPTION ===
Package: babel
Version: 0.2-6
Title: Ribosome profiling data analysis
Author: Adam B. Olshen, Richard A. Olshen, Barry S. Taylor
Maintainer: Adam B. Olshen <adam.olshen@ucsf.edu>
Depends: R (>= 2.14.0), edgeR
Imports: parallel
Suggests: R.rsp, R.devices, R.utils
VignetteBuilder: R.rsp
Description: Implements babel routines for identifying unusual ribosome protected fragment counts given mRNA counts
License: LGPL (>= 2.1)
Packaged: 2014-06-12 23:52:08 UTC; olshena
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-06-14 00:18:16
