## babel 0.3-0

=== DESCRIPTION ===
Package: babel
Version: 0.3-0
Title: Ribosome Profiling Data Analysis
Author: Adam B. Olshen, Richard A. Olshen, Barry S. Taylor
Maintainer: Adam B. Olshen <adam.olshen@ucsf.edu>
Depends: R (>= 2.14.0), edgeR
Imports: parallel
Suggests: R.rsp, R.devices, R.utils
VignetteBuilder: R.rsp
Description: Included here are babel routines for identifying unusual ribosome protected fragment counts given mRNA counts.
License: LGPL (>= 2.1)
NeedsCompilation: no
Packaged: 2016-06-22 23:30:16 UTC; olshena
Repository: CRAN
Date/Publication: 2016-06-23 09:05:13
