=== runPython/Makefile ===
--- 
+++ 
@@ -9,11 +9,11 @@
 IOROBJS=${IORSRCS:.c=.lo}
 STUBOBJS=${STUBSRCS:.cc=.lo}
 ALLOBJS=${IMPLOBJS} ${SKELOBJS} ${IOROBJS} ${STUBOBJS}
-ifeq ($(BABEL_WITH_F90),1)
+#ifeq ($(BABEL_WITH_F90),1)
 ALLSIDL=../life.sidl ../libCxx/cxxlife.sidl ../libF90/f90life.sidl ../libC/clife.sidl
-else
-ALLSIDL=../life.sidl ../libCxx/cxxlife.sidl ../libC/clife.sidl
-endif
+#else
+#ALLSIDL=../life.sidl ../libCxx/cxxlife.sidl ../libC/clife.sidl
+#endif
 
 all: python-stamp 
 
@@ -29,6 +29,7 @@
 	${PYTHON} setup.py 						\
 	  --include-dirs=${BABEL_INCLDIR} 				\
 	  --include-dirs=${BABEL_PYEXTENSION_INCLDIR}			\
+	  --include-dirs=/home/kumfert/local/python/2.5.1/lib/python2.5/site-packages/numpy/core/include/numpy						\
 	  --include-dirs=.						\
 	  --library-dirs=${BABEL_LIBDIR}				\
 	  --library-dirs=${BABEL_PYEXTENSION_LIBDIR}			\
@@ -46,5 +47,5 @@
 py: python-stamp
 	PYTHONPATH=${BABEL_PYEXTENSION_LIBDIR}				\
 	LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${BABEL_LIBDIR} 		\
-	sidl_DEBUG_DLOPEN=1						\
-	SIDL_DLL_PATH='${BABEL_LIBDIR}/libsidl.scl;${TOPDIR}/libdemo.scl' $(PYTHON) $(MYSCRIPT)
+	SIDL_DEBUG_DLOPEN=1						\
+	SIDL_DLL_PATH='${BABEL_LIBDIR}/libsidl.scl;${BABEL_LIBDIR}/libsidlx.scl;${TOPDIR}/libdemo.scl' $(PYTHON) $(MYSCRIPT)
