=== debian/changelog ===
babel (1.4.0.dfsg-8) unstable; urgency=low

  * Changed PYTHONINC variables for numpy package changes (closes: #590344).
  * Bumped Standards-Version.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 06 Aug 2010 17:31:03 -0400

babel (1.4.0.dfsg-7) unstable; urgency=low

  * More general python includes to support python 2.6 (thanks: Jakub Wilk,
    closes: #567302).
  * Patch to add -little to Fortran flags for sh4 (thanks: Nobuhiro Iwamatsu,
    closes: #561703).
  * Bumped Standards-Version.
  * Updated to source format 3.0 (quilt).
  * Added ${misc:Depends} to all binary package dependencies.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 31 Jan 2010 18:04:18 -0500

babel (1.4.0.dfsg-6) unstable; urgency=low

  * Changed gjdoc to gcj-jdk | gjdoc in Build-Depends (closes: #559986).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 11 Dec 2009 12:03:20 -0500

babel (1.4.0.dfsg-5) unstable; urgency=low

  * Include libtool in Build-Depends and libtoolize (closes: #559843).
  * Added README.source file.
  * Bumped Standards-Version.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 07 Dec 2009 18:29:06 -0500

babel (1.4.0.dfsg-4) unstable; urgency=low

  * Entered Dan Frazier's patch in patches/series (closes: #539063).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 03 Aug 2009 07:13:37 -0400

babel (1.4.0.dfsg-3) unstable; urgency=low

  * Added patch by Dann Frazier to fix a crash/FTBFS bug on some arches
    (closes: #539063).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 28 Jul 2009 23:56:36 -0400

babel (1.4.0.dfsg-2) unstable; urgency=low

  * Updated copyright to include runtime/java/sidl/Sfun.java .

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 26 Jul 2009 18:38:20 -0400

babel (1.4.0.dfsg-1) unstable; urgency=low

  * New upstream release (closes: #530536).
  * Includes lite version of Chasm from http://chasm-interop.sourceforge.net/ .
  * No longer provides parsifal shared lib; static lib moved to libsidl-dev.
  * Needed a kludge to get parsifal and chasmlite to install.
  * Renamed sidl shared libs package with hyphen (closes: #493229).
  * Newly formatted copyright file.
  * javajars.patch now excludes installation of omitted lib directory files.
  * Removed backslashes from dependencies (closes: #535283).
  * Updated debhelper Build-Depend versioning.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 20 Jul 2009 21:25:26 -0400

babel (1.2.0.dfsg-8) unstable; urgency=low

  * Patch from Peter Green to fix FTBFS (closes: #526532).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 25 May 2009 10:18:58 -0400

babel (1.2.0.dfsg-7) unstable; urgency=low

  * Using quilt now to manage patches.
  * Patch from Petr Salinger to fix FTBFS on GNU/kFreeBSD (closes: #497898).
  * Changed python-babel package to python-sidl, with sidl.babel. namespace
    (closes: #493742).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 07 Dec 2008 08:41:28 +0900

babel (1.2.0.dfsg-6) unstable; urgency=low

  * Added libparsifal-dev as dependency to libsidl-dev (closes: #483324).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 01 Aug 2008 07:56:58 -0400

babel (1.2.0.dfsg-5) unstable; urgency=low

  * Fixed bashism in babel-f77 and replaced babel-libtool with libtool
    symlink (closes: #476758).
  * Fixed jar location error in babel script.
  * Fixed babel101 tutorial so Hello World works and the tutorial is correct.
  * Added Java flags and depends so it builds on Ubuntu Hardy.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 24 Jun 2008 12:01:58 -0400

babel (1.2.0.dfsg-4) unstable; urgency=low

  * Build for all supported python versions, thanks to patch by Matthias Klose
    (closes: #479878).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 21 May 2008 12:14:38 -0400

babel (1.2.0.dfsg-3) unstable; urgency=low

  * Patch from Chris Lamb (slightly modified by Clint Adams) supports use
    of dash as /bin/sh (closes: #476758).
  * Changed build-dep from java-gcj-compat-dev to default-jdk-builddep
    (closes: #477845).
  * Changed from python-numeric to python-numpy, all seems to work for now
    (closes: #478439).
  * Removed self-referencing link /usr/include/c in libsidl-dev, and added
    preinst removing it in case a previous install put it there.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 29 Apr 2008 21:34:00 -0400

babel (1.2.0.dfsg-2) unstable; urgency=low

  * Changed from python 2.4 to current (closes: #476236).
  * Filled out usr/include/[language] header trees.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 15 Apr 2008 23:07:46 -0400

babel (1.2.0.dfsg-1) unstable; urgency=low

  * Removed .jar files and manuals without source from tarball.
  * Closing same bugs as last time (closes: #464717, #328189, #342956,
    #385826, #349868, #309372 #308575).
  * Added python-central to Build-Depends, and dh_pycentral -a to rules,
    and other python information to control.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 01 Apr 2008 21:42:09 -0400

babel (1.2.0-1) unstable; urgency=low

  * Adopting formerly orphaned package (closes: #464717).
  * New upstream release (closes: #328189).
  * Removed explicit compiler version dependencies (closes: #342956, #385826).
  * New configure script works (closes: #349868).
  * Builds on amd64 (closes: #309372).
  * Build-depends on different java toolchain (closes: #308575).
  * Including /usr/bin/babel-* compiler wrappers in libsidl-dev package.
  * Documentation generated by javadoc works.
  * Includes new libparsifal XML parser.
  * Fortran 90 backend will need to wait for a chasm package.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 20 Feb 2008 15:26:48 -0500

babel (0.10.2-1) unstable; urgency=low

  * New upstream release.
  * Added kaffe-dev to Build-Depends (closes: #285487, #278788).
  * Added dh_python to rules, making everything but source lintian-clean.
  * Upgraded python version to 2.4 since upstream requires this.


