=== debian/control ===
Source: babel
Section: devel
Priority: extra
Maintainer: "Adam C. Powell, IV" <hazelsct@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 5), gfortran, libltdl-dev, libtool,
  automake, autoconf, libxml2-dev, default-jdk-builddep | java-gcj-compat-dev,
  fastjar, gcj-jdk | gjdoc, libxerces2-java, libgetopt-java, libxalan2-java,
  python-all-dev, python-numpy, python-central
Build-Conflicts: libparsifal-dev
Build-Depends-Indep: libhtml-tree-perl
XS-Python-Version: all
Homepage: https://computation.llnl.gov/casc/components/babel.html

Package: babel-1.4.0
Architecture: all
Section: devel
Depends: java-gcj-compat | java1-runtime, libgetopt-java, libxerces2-java, libxalan2-java, ${misc:Depends}
Suggests: babel-1.4.0-doc
Provides: babel
Conflicts: openbabel, babel-0.10.2, babel-0.8.4, babel-0.8.2, babel-0.8.0
Description: Scientific Interface Definition Language (SIDL) compiler
 Babel is a compiler for the Scientific Interface Definition Language (SIDL),
 currently under development as a support tool for parallel simulation codes.
 .
 SIDL is in the same "phylum" as CORBA or COM, but with an eye toward future
 extension to data redistribution on massively parallel architectures.  In
 addition, because of the large amount of existing and very important
 scientific code written in FORTRAN, SIDL is designed with support for that
 language in mind.
 .
 Babel is written in Java, and currently has backends for: FORTRAN, C, C++,
 Java and Python.

Package: libsidl1.4.0-java
Architecture: all
Section: java
Depends: java-gcj-compat | java1-runtime, ${misc:Depends}
Provides: libsidl-java
Conflicts: libsidl0.10.2-java, libsidl0.8.4-java, libsidl0.8.2-java, libsidl0.8.0-java
Description: Scientific Interface Definition Language (SIDL) Java runtime
 Babel is a compiler for the Scientific Interface Definition Language (SIDL),
 currently under development as a support tool for parallel simulation codes.
 .
 SIDL is in the same "phylum" as CORBA or COM, but with an eye toward future
 extension to data redistribution on massively parallel architectures.  In
 addition, because of the large amount of existing and very important
 scientific code written in FORTRAN, SIDL is designed with support for that
 language in mind.
 .
 Babel is written in Java, and currently has backends for: FORTRAN 77, C, C++,
 Java and Python.
 .
 This package contains the Java SIDL runtime library.

Package: python-sidl
Architecture: any
Section: python
Depends: python-numpy, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Scientific Interface Definition Language (SIDL) Python runtime
 Babel is a compiler for the Scientific Interface Definition Language (SIDL),
 currently under development as a support tool for parallel simulation codes.
 .
 SIDL is in the same "phylum" as CORBA or COM, but with an eye toward future
 extension to data redistribution on massively parallel architectures.  In
 addition, because of the large amount of existing and very important
 scientific code written in FORTRAN, SIDL is designed with support for that
 language in mind.
 .
 Babel is written in Java, and currently has backends for: FORTRAN 77, C, C++,
 Java and Python.
 .
 This package contains the Python runtime module.

Package: libsidl-dev
Architecture: any
Section: libdevel
Depends: libsidl-1.4.0 (= ${binary:Version}), libparsifal-dev, libtool, ${misc:Depends}
Provides: libparsifal-dev
Replaces: libparsifal-dev
Description: Scientific Interface Definition Language (SIDL) C(++)/FORTRAN runtime devel
 Babel is a compiler for the Scientific Interface Definition Language (SIDL),
 currently under development as a support tool for parallel simulation codes.
 .
 SIDL is in the same "phylum" as CORBA or COM, but with an eye toward future
 extension to data redistribution on massively parallel architectures.  In
 addition, because of the large amount of existing and very important
 scientific code written in FORTRAN, SIDL is designed with support for that
 language in mind.
 .
 Babel is written in Java, and currently has backends for: FORTRAN 77, C, C++,
 Java and Python.
 .
 This package contains the development files for the C, C++ and FORTRAN
 backends.

Package: libsidl-1.4.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scientific Interface Definition Language (SIDL) C(++)/FORTRAN runtime
 Babel is a compiler for the Scientific Interface Definition Language (SIDL),
 currently under development as a support tool for parallel simulation codes.
 .
 SIDL is in the same "phylum" as CORBA or COM, but with an eye toward future
 extension to data redistribution on massively parallel architectures.  In
 addition, because of the large amount of existing and very important
 scientific code written in FORTRAN, SIDL is designed with support for that
 language in mind.
 .
 Babel is written in Java, and currently has backends for: FORTRAN 77, C, C++,
 Java and Python.
 .
 This package contains the runtime libraries for the C and FORTRAN backends.

Package: babel-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Scientific Interface Definition Language (SIDL) suite documentation
 Babel is a compiler for the Scientific Interface Definition Language (SIDL),
 currently under development as a support tool for parallel simulation codes.
 .
 SIDL is in the same "phylum" as CORBA or COM, but with an eye toward future
 extension to data redistribution on massively parallel architectures.  In
 addition, because of the large amount of existing and very important
 scientific code written in FORTRAN, SIDL is designed with support for that
 language in mind.
 .
 Babel is written in Java, and currently has backends for: FORTRAN 77, C, C++,
 Java and Python.
 .
 This package contains extensive documentation for babel.
